diff --git a/android/guava-tests/test/com/google/common/util/concurrent/TrustedListenableFutureTaskTest.java b/android/guava-tests/test/com/google/common/util/concurrent/TrustedListenableFutureTaskTest.java
index 157afa7..4b0d324 100644
--- a/android/guava-tests/test/com/google/common/util/concurrent/TrustedListenableFutureTaskTest.java
+++ b/android/guava-tests/test/com/google/common/util/concurrent/TrustedListenableFutureTaskTest.java
@@ -21,8 +21,6 @@ import static com.google.common.util.concurrent.Callables.returning;
 import static com.google.common.util.concurrent.Futures.getDone;
 import static com.google.common.util.concurrent.TestPlatform.verifyThreadWasNotInterrupted;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import java.util.concurrent.Callable;
 import java.util.concurrent.CancellationException;
 import java.util.concurrent.CountDownLatch;
@@ -35,7 +33,6 @@ import java.util.concurrent.atomic.AtomicInteger;
 import junit.framework.TestCase;
 
 /** Test case for {@link TrustedListenableFutureTask}. */
-@GwtCompatible(emulated = true)
 public class TrustedListenableFutureTaskTest extends TestCase {
 
   public void testSuccessful() throws Exception {
@@ -83,7 +80,7 @@ public class TrustedListenableFutureTaskTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // blocking wait
+  // blocking wait
 
   public void testCancel_interrupted() throws Exception {
     final AtomicBoolean interruptedExceptionThrown = new AtomicBoolean();
@@ -134,7 +131,7 @@ public class TrustedListenableFutureTaskTest extends TestCase {
     assertTrue(interruptedExceptionThrown.get());
   }
 
-  @GwtIncompatible // blocking wait
+  // blocking wait
 
   public void testRunIdempotency() throws Exception {
     final int numThreads = 10;
@@ -170,7 +167,7 @@ public class TrustedListenableFutureTaskTest extends TestCase {
     executor.shutdown();
   }
 
-  @GwtIncompatible // blocking wait
+  // blocking wait
 
   public void testToString() throws Exception {
     final CountDownLatch enterLatch = new CountDownLatch(1);
@@ -208,7 +205,7 @@ public class TrustedListenableFutureTaskTest extends TestCase {
     exitLatch.await();
   }
 
-  @GwtIncompatible // used only in GwtIncomaptible tests
+  // used only in GwtIncomaptible tests
   private void awaitUnchecked(CyclicBarrier barrier) {
     try {
       barrier.await();
diff --git a/android/guava-tests/test/com/google/common/util/concurrent/UncheckedThrowingFuture.java b/android/guava-tests/test/com/google/common/util/concurrent/UncheckedThrowingFuture.java
index 4057722..26092b8 100644
--- a/android/guava-tests/test/com/google/common/util/concurrent/UncheckedThrowingFuture.java
+++ b/android/guava-tests/test/com/google/common/util/concurrent/UncheckedThrowingFuture.java
@@ -18,7 +18,6 @@ package com.google.common.util.concurrent;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.concurrent.ExecutionException;
 import java.util.concurrent.Future;
 import java.util.concurrent.TimeUnit;
@@ -33,7 +32,6 @@ import java.util.concurrent.TimeoutException;
  *
  * @author Anthony Zana
  */
-@GwtCompatible
 final class UncheckedThrowingFuture<V> extends AbstractFuture<V> {
 
   public static <V> ListenableFuture<V> throwingError(Error error) {
diff --git a/android/guava-tests/test/com/google/common/util/concurrent/UninterruptiblesTest.java b/android/guava-tests/test/com/google/common/util/concurrent/UninterruptiblesTest.java
index e58cf6a..74dae76 100644
--- a/android/guava-tests/test/com/google/common/util/concurrent/UninterruptiblesTest.java
+++ b/android/guava-tests/test/com/google/common/util/concurrent/UninterruptiblesTest.java
@@ -33,7 +33,6 @@ import com.google.common.base.Stopwatch;
 import com.google.common.testing.NullPointerTester;
 import com.google.common.testing.TearDown;
 import com.google.common.testing.TearDownStack;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.util.Date;
 import java.util.concurrent.ArrayBlockingQueue;
 import java.util.concurrent.BlockingQueue;
@@ -832,7 +831,6 @@ public class UninterruptiblesTest extends TestCase {
     InterruptionUtil.requestInterruptIn(millis, MILLISECONDS);
   }
 
-  @CanIgnoreReturnValue
   private static Thread acquireFor(final Lock lock, final long duration, final TimeUnit unit) {
     final CountDownLatch latch = new CountDownLatch(1);
     Thread thread =
diff --git a/android/guava-tests/test/com/google/common/util/concurrent/UntrustedInputFutureTest.java b/android/guava-tests/test/com/google/common/util/concurrent/UntrustedInputFutureTest.java
index a6241d2..b2c6efe 100644
--- a/android/guava-tests/test/com/google/common/util/concurrent/UntrustedInputFutureTest.java
+++ b/android/guava-tests/test/com/google/common/util/concurrent/UntrustedInputFutureTest.java
@@ -17,14 +17,12 @@
 package com.google.common.util.concurrent;
 
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.util.concurrent.AbstractFuture.TrustedFuture;
 
 /**
  * Tests for {@link AbstractFuture} that use a non-{@link TrustedFuture} for {@link
  * AbstractFuture#setFuture} calls.
  */
-@GwtCompatible
 public class UntrustedInputFutureTest extends AbstractAbstractFutureTest {
   @Override
   AbstractFuture<Integer> newDelegate() {
diff --git a/android/guava-tests/test/com/google/common/util/concurrent/WrappingExecutorServiceTest.java b/android/guava-tests/test/com/google/common/util/concurrent/WrappingExecutorServiceTest.java
index fdb2c54..c74eee0 100644
--- a/android/guava-tests/test/com/google/common/util/concurrent/WrappingExecutorServiceTest.java
+++ b/android/guava-tests/test/com/google/common/util/concurrent/WrappingExecutorServiceTest.java
@@ -22,7 +22,6 @@ import static com.google.common.util.concurrent.Runnables.doNothing;
 
 import com.google.common.base.Predicate;
 import com.google.common.base.Predicates;
-import com.google.common.collect.ImmutableList;
 import com.google.common.collect.Iterables;
 import com.google.common.collect.Lists;
 import java.util.Collection;
diff --git a/android/guava-tests/test/com/google/common/xml/XmlEscapersTest.java b/android/guava-tests/test/com/google/common/xml/XmlEscapersTest.java
index 00b5cf1..0b2dc17 100644
--- a/android/guava-tests/test/com/google/common/xml/XmlEscapersTest.java
+++ b/android/guava-tests/test/com/google/common/xml/XmlEscapersTest.java
@@ -19,7 +19,6 @@ package com.google.common.xml;
 import static com.google.common.escape.testing.EscaperAsserts.assertEscaping;
 import static com.google.common.escape.testing.EscaperAsserts.assertUnescaped;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.escape.CharEscaper;
 import junit.framework.TestCase;
 
@@ -29,7 +28,6 @@ import junit.framework.TestCase;
  * @author Alex Matevossian
  * @author David Beaumont
  */
-@GwtCompatible
 public class XmlEscapersTest extends TestCase {
 
   public void testXmlContentEscaper() throws Exception {
diff --git a/android/guava/src/com/google/common/annotations/Beta.java b/android/guava/src/com/google/common/annotations/Beta.java
index f71dc94..f5ff07d 100644
--- a/android/guava/src/com/google/common/annotations/Beta.java
+++ b/android/guava/src/com/google/common/annotations/Beta.java
@@ -42,5 +42,4 @@ import java.lang.annotation.Target;
   ElementType.TYPE
 })
 @Documented
-@GwtCompatible
 public @interface Beta {}
diff --git a/android/guava/src/com/google/common/annotations/GwtCompatible.java b/android/guava/src/com/google/common/annotations/GwtCompatible.java
index 4bf6efb..00395c0 100644
--- a/android/guava/src/com/google/common/annotations/GwtCompatible.java
+++ b/android/guava/src/com/google/common/annotations/GwtCompatible.java
@@ -60,7 +60,6 @@ import java.lang.annotation.Target;
 @Retention(RetentionPolicy.CLASS)
 @Target({ElementType.TYPE, ElementType.METHOD})
 @Documented
-@GwtCompatible
 public @interface GwtCompatible {
 
   /**
diff --git a/android/guava/src/com/google/common/annotations/GwtIncompatible.java b/android/guava/src/com/google/common/annotations/GwtIncompatible.java
index 4b7e4a9..2cf9708 100644
--- a/android/guava/src/com/google/common/annotations/GwtIncompatible.java
+++ b/android/guava/src/com/google/common/annotations/GwtIncompatible.java
@@ -33,7 +33,6 @@ import java.lang.annotation.Target;
 @Retention(RetentionPolicy.CLASS)
 @Target({ElementType.TYPE, ElementType.METHOD, ElementType.CONSTRUCTOR, ElementType.FIELD})
 @Documented
-@GwtCompatible
 public @interface GwtIncompatible {
   /**
    * Describes why the annotated element is incompatible with GWT. Since this is generally due to a
diff --git a/android/guava/src/com/google/common/annotations/VisibleForTesting.java b/android/guava/src/com/google/common/annotations/VisibleForTesting.java
index e767afc..a5104c6 100644
--- a/android/guava/src/com/google/common/annotations/VisibleForTesting.java
+++ b/android/guava/src/com/google/common/annotations/VisibleForTesting.java
@@ -27,6 +27,5 @@ package com.google.common.annotations;
  *
  * @author Johannes Henkel
  */
-@GwtCompatible
 public @interface VisibleForTesting {
 }
diff --git a/android/guava/src/com/google/common/base/Absent.java b/android/guava/src/com/google/common/base/Absent.java
index f96136b..6331d23 100644
--- a/android/guava/src/com/google/common/base/Absent.java
+++ b/android/guava/src/com/google/common/base/Absent.java
@@ -16,13 +16,11 @@ package com.google.common.base;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Collections;
 import java.util.Set;
 import javax.annotation.CheckForNull;
 
 /** Implementation of an {@link Optional} not containing a reference. */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
 final class Absent<T> extends Optional<T> {
   static final Absent<Object> INSTANCE = new Absent<>();
diff --git a/android/guava/src/com/google/common/base/AbstractIterator.java b/android/guava/src/com/google/common/base/AbstractIterator.java
index bb0a1d3..5f83329 100644
--- a/android/guava/src/com/google/common/base/AbstractIterator.java
+++ b/android/guava/src/com/google/common/base/AbstractIterator.java
@@ -14,23 +14,18 @@
 
 package com.google.common.base;
 
-import static com.google.common.base.NullnessCasts.uncheckedCastNullableTToT;
 import static com.google.common.base.Preconditions.checkState;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.util.Iterator;
 import java.util.NoSuchElementException;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * Note this class is a copy of {@link com.google.common.collect.AbstractIterator} (for dependency
  * reasons).
  */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
-abstract class AbstractIterator<T extends @Nullable Object> implements Iterator<T> {
+abstract class AbstractIterator<T extends Object> implements Iterator<T> {
   private State state = State.NOT_READY;
 
   protected AbstractIterator() {}
@@ -47,7 +42,6 @@ abstract class AbstractIterator<T extends @Nullable Object> implements Iterator<
   @CheckForNull
   protected abstract T computeNext();
 
-  @CanIgnoreReturnValue
   @CheckForNull
   protected final T endOfData() {
     state = State.DONE;
diff --git a/android/guava/src/com/google/common/base/Ascii.java b/android/guava/src/com/google/common/base/Ascii.java
index 0c651bb..81f5156 100644
--- a/android/guava/src/com/google/common/base/Ascii.java
+++ b/android/guava/src/com/google/common/base/Ascii.java
@@ -17,7 +17,6 @@ package com.google.common.base;
 import static com.google.common.base.Preconditions.checkArgument;
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.GwtCompatible;
 
 /**
  * Static methods pertaining to ASCII characters (those in the range of values {@code 0x00} through
@@ -36,7 +35,6 @@ import com.google.common.annotations.GwtCompatible;
  * @author Gregory Kick
  * @since 7.0
  */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
 public final class Ascii {
 
diff --git a/android/guava/src/com/google/common/base/CaseFormat.java b/android/guava/src/com/google/common/base/CaseFormat.java
index 7b393eb..9e2ad58 100644
--- a/android/guava/src/com/google/common/base/CaseFormat.java
+++ b/android/guava/src/com/google/common/base/CaseFormat.java
@@ -15,9 +15,7 @@
 package com.google.common.base;
 
 import static com.google.common.base.Preconditions.checkNotNull;
-import static java.util.Objects.requireNonNull;
 
-import com.google.common.annotations.GwtCompatible;
 import java.io.Serializable;
 import javax.annotation.CheckForNull;
 
@@ -28,7 +26,6 @@ import javax.annotation.CheckForNull;
  * @author Mike Bostock
  * @since 1.0
  */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
 public enum CaseFormat {
   /** Hyphenated variable naming convention, e.g., "lower-hyphen". */
diff --git a/android/guava/src/com/google/common/base/CharMatcher.java b/android/guava/src/com/google/common/base/CharMatcher.java
index 7941883..bc49526 100644
--- a/android/guava/src/com/google/common/base/CharMatcher.java
+++ b/android/guava/src/com/google/common/base/CharMatcher.java
@@ -18,9 +18,6 @@ import static com.google.common.base.Preconditions.checkArgument;
 import static com.google.common.base.Preconditions.checkNotNull;
 import static com.google.common.base.Preconditions.checkPositionIndex;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
-import com.google.common.annotations.VisibleForTesting;
 import java.util.Arrays;
 import java.util.BitSet;
 
@@ -60,7 +57,6 @@ import java.util.BitSet;
  * @author Kevin Bourrillion
  * @since 1.0
  */
-@GwtCompatible(emulated = true)
 @ElementTypesAreNonnullByDefault
 public abstract class CharMatcher implements Predicate<Character> {
   /*
@@ -411,7 +407,7 @@ public abstract class CharMatcher implements Predicate<Character> {
    * constructs an eight-kilobyte bit array and queries that. In many situations this produces a
    * matcher which is faster to query than the original.
    */
-  @GwtIncompatible // SmallCharMatcher
+  // SmallCharMatcher
   CharMatcher precomputedInternal() {
     final BitSet table = new BitSet();
     setBits(table);
@@ -441,7 +437,7 @@ public abstract class CharMatcher implements Predicate<Character> {
   /**
    * Helper method for {@link #precomputedInternal} that doesn't test if the negation is cheaper.
    */
-  @GwtIncompatible // SmallCharMatcher
+  // SmallCharMatcher
   private static CharMatcher precomputedPositive(
       int totalCharacters, BitSet table, String description) {
     switch (totalCharacters) {
@@ -460,7 +456,7 @@ public abstract class CharMatcher implements Predicate<Character> {
     }
   }
 
-  @GwtIncompatible // SmallCharMatcher
+  // SmallCharMatcher
   private static boolean isSmall(int totalCharacters, int tableLength) {
     return totalCharacters <= SmallCharMatcher.MAX_SIZE
         && tableLength > (totalCharacters * 4 * Character.SIZE);
@@ -468,7 +464,7 @@ public abstract class CharMatcher implements Predicate<Character> {
   }
 
   /** Sets bits in {@code table} matched by this matcher. */
-  @GwtIncompatible // used only from other GwtIncompatible code
+  // used only from other GwtIncompatible code
   void setBits(BitSet table) {
     for (int c = Character.MAX_VALUE; c >= Character.MIN_VALUE; c--) {
       if (matches((char) c)) {
@@ -978,7 +974,7 @@ public abstract class CharMatcher implements Predicate<Character> {
   }
 
   /** Fast matcher using a {@link BitSet} table of matching characters. */
-  @GwtIncompatible // used only from other GwtIncompatible code
+  // used only from other GwtIncompatible code
   private static final class BitSetMatcher extends NamedFastMatcher {
 
     private final BitSet table;
@@ -1206,7 +1202,6 @@ public abstract class CharMatcher implements Predicate<Character> {
   }
 
   /** Implementation of {@link #whitespace()}. */
-  @VisibleForTesting
   static final class Whitespace extends NamedFastMatcher {
 
     // TABLE is a precomputed hashset of whitespace characters. MULTIPLIER serves as a hash function
@@ -1232,7 +1227,7 @@ public abstract class CharMatcher implements Predicate<Character> {
       return TABLE.charAt((MULTIPLIER * c) >>> SHIFT) == c;
     }
 
-    @GwtIncompatible // used only from other GwtIncompatible code
+    // used only from other GwtIncompatible code
     @Override
     void setBits(BitSet table) {
       for (int i = 0; i < TABLE.length(); i++) {
@@ -1518,7 +1513,7 @@ public abstract class CharMatcher implements Predicate<Character> {
       return sequence.length() - original.countIn(sequence);
     }
 
-    @GwtIncompatible // used only from other GwtIncompatible code
+    // used only from other GwtIncompatible code
     @Override
     void setBits(BitSet table) {
       BitSet tmp = new BitSet();
@@ -1554,7 +1549,7 @@ public abstract class CharMatcher implements Predicate<Character> {
       return first.matches(c) && second.matches(c);
     }
 
-    @GwtIncompatible // used only from other GwtIncompatible code
+    // used only from other GwtIncompatible code
     @Override
     void setBits(BitSet table) {
       BitSet tmp1 = new BitSet();
@@ -1582,7 +1577,7 @@ public abstract class CharMatcher implements Predicate<Character> {
       second = checkNotNull(b);
     }
 
-    @GwtIncompatible // used only from other GwtIncompatible code
+    // used only from other GwtIncompatible code
     @Override
     void setBits(BitSet table) {
       first.setBits(table);
@@ -1636,7 +1631,7 @@ public abstract class CharMatcher implements Predicate<Character> {
       return isNot(match);
     }
 
-    @GwtIncompatible // used only from other GwtIncompatible code
+    // used only from other GwtIncompatible code
     @Override
     void setBits(BitSet table) {
       table.set(match);
@@ -1672,7 +1667,7 @@ public abstract class CharMatcher implements Predicate<Character> {
       return other.matches(match) ? any() : this;
     }
 
-    @GwtIncompatible // used only from other GwtIncompatible code
+    // used only from other GwtIncompatible code
     @Override
     void setBits(BitSet table) {
       table.set(0, match);
@@ -1710,7 +1705,7 @@ public abstract class CharMatcher implements Predicate<Character> {
       return c == match1 || c == match2;
     }
 
-    @GwtIncompatible // used only from other GwtIncompatible code
+    // used only from other GwtIncompatible code
     @Override
     void setBits(BitSet table) {
       table.set(match1);
@@ -1739,7 +1734,7 @@ public abstract class CharMatcher implements Predicate<Character> {
     }
 
     @Override
-    @GwtIncompatible // used only from other GwtIncompatible code
+    // used only from other GwtIncompatible code
     void setBits(BitSet table) {
       for (char c : chars) {
         table.set(c);
@@ -1774,7 +1769,7 @@ public abstract class CharMatcher implements Predicate<Character> {
       return startInclusive <= c && c <= endInclusive;
     }
 
-    @GwtIncompatible // used only from other GwtIncompatible code
+    // used only from other GwtIncompatible code
     @Override
     void setBits(BitSet table) {
       table.set(startInclusive, endInclusive + 1);
diff --git a/android/guava/src/com/google/common/base/Charsets.java b/android/guava/src/com/google/common/base/Charsets.java
index 7aebea8..33a431a 100644
--- a/android/guava/src/com/google/common/base/Charsets.java
+++ b/android/guava/src/com/google/common/base/Charsets.java
@@ -14,8 +14,6 @@
 
 package com.google.common.base;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import java.nio.charset.Charset;
 
 /**
@@ -30,7 +28,6 @@ import java.nio.charset.Charset;
  * @author Mike Bostock
  * @since 1.0
  */
-@GwtCompatible(emulated = true)
 @ElementTypesAreNonnullByDefault
 public final class Charsets {
   private Charsets() {}
@@ -42,7 +39,7 @@ public final class Charsets {
    * java.nio.charset.StandardCharsets#US_ASCII} instead.
    *
    */
-  @GwtIncompatible // Charset not supported by GWT
+  // Charset not supported by GWT
   public static final Charset US_ASCII = Charset.forName("US-ASCII");
 
   /**
@@ -70,7 +67,7 @@ public final class Charsets {
    * java.nio.charset.StandardCharsets#UTF_16BE} instead.
    *
    */
-  @GwtIncompatible // Charset not supported by GWT
+  // Charset not supported by GWT
   public static final Charset UTF_16BE = Charset.forName("UTF-16BE");
 
   /**
@@ -80,7 +77,7 @@ public final class Charsets {
    * java.nio.charset.StandardCharsets#UTF_16LE} instead.
    *
    */
-  @GwtIncompatible // Charset not supported by GWT
+  // Charset not supported by GWT
   public static final Charset UTF_16LE = Charset.forName("UTF-16LE");
 
   /**
@@ -91,7 +88,7 @@ public final class Charsets {
    * java.nio.charset.StandardCharsets#UTF_16} instead.
    *
    */
-  @GwtIncompatible // Charset not supported by GWT
+  // Charset not supported by GWT
   public static final Charset UTF_16 = Charset.forName("UTF-16");
 
   /*
diff --git a/android/guava/src/com/google/common/base/CommonMatcher.java b/android/guava/src/com/google/common/base/CommonMatcher.java
index d63b46b..2702934 100644
--- a/android/guava/src/com/google/common/base/CommonMatcher.java
+++ b/android/guava/src/com/google/common/base/CommonMatcher.java
@@ -14,14 +14,12 @@
 
 package com.google.common.base;
 
-import com.google.common.annotations.GwtCompatible;
 
 /**
  * The subset of the {@link java.util.regex.Matcher} API which is used by this package, and also
  * shared with the {@code re2j} library. For internal use only. Please refer to the {@code Matcher}
  * javadoc for details.
  */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
 abstract class CommonMatcher {
   public abstract boolean matches();
diff --git a/android/guava/src/com/google/common/base/CommonPattern.java b/android/guava/src/com/google/common/base/CommonPattern.java
index c425d52..cdadb59 100644
--- a/android/guava/src/com/google/common/base/CommonPattern.java
+++ b/android/guava/src/com/google/common/base/CommonPattern.java
@@ -14,14 +14,12 @@
 
 package com.google.common.base;
 
-import com.google.common.annotations.GwtCompatible;
 
 /**
  * The subset of the {@link java.util.regex.Pattern} API which is used by this package, and also
  * shared with the {@code re2j} library. For internal use only. Please refer to the {@code Pattern}
  * javadoc for details.
  */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
 abstract class CommonPattern {
   public abstract CommonMatcher matcher(CharSequence t);
diff --git a/android/guava/src/com/google/common/base/Converter.java b/android/guava/src/com/google/common/base/Converter.java
index 208a032..bdc78d4 100644
--- a/android/guava/src/com/google/common/base/Converter.java
+++ b/android/guava/src/com/google/common/base/Converter.java
@@ -14,14 +14,8 @@
 
 package com.google.common.base;
 
-import static com.google.common.base.NullnessCasts.uncheckedCastNullableTToT;
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
-import com.google.errorprone.annotations.ForOverride;
-import com.google.errorprone.annotations.concurrent.LazyInit;
-import com.google.j2objc.annotations.RetainedWith;
 import java.io.Serializable;
 import java.util.Iterator;
 import javax.annotation.CheckForNull;
@@ -113,7 +107,6 @@ import javax.annotation.CheckForNull;
  * @author Gregory Kick
  * @since 16.0
  */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
 /*
  * 1. The type parameter is <T> rather than <T extends @Nullable> so that we can use T in the
@@ -143,7 +136,7 @@ public abstract class Converter<A, B> implements Function<A, B> {
   private final boolean handleNullAutomatically;
 
   // We lazily cache the reverse view to avoid allocating on every call to reverse().
-  @LazyInit @RetainedWith @CheckForNull private transient Converter<B, A> reverse;
+  @CheckForNull private transient Converter<B, A> reverse;
 
   /** Constructor for use by subclasses. */
   protected Converter() {
@@ -164,7 +157,6 @@ public abstract class Converter<A, B> implements Function<A, B> {
    * @param a the instance to convert; will never be null
    * @return the converted instance; <b>must not</b> be null
    */
-  @ForOverride
   protected abstract B doForward(A a);
 
   /**
@@ -179,7 +171,6 @@ public abstract class Converter<A, B> implements Function<A, B> {
    *     then this is not logically a {@code Converter} at all, and should just implement {@link
    *     Function}.
    */
-  @ForOverride
   protected abstract A doBackward(B b);
 
   // API (consumer-side) methods
@@ -189,7 +180,6 @@ public abstract class Converter<A, B> implements Function<A, B> {
    *
    * @return the converted value; is null <i>if and only if</i> {@code a} is null
    */
-  @CanIgnoreReturnValue
   @CheckForNull
   public final B convert(@CheckForNull A a) {
     return correctedDoForward(a);
@@ -259,7 +249,6 @@ public abstract class Converter<A, B> implements Function<A, B> {
    * a successful {@code remove()} call, {@code fromIterable} no longer contains the corresponding
    * element.
    */
-  @CanIgnoreReturnValue
   /*
    * Just as Converter could implement `Function<@Nullable A, @Nullable B>` instead of `Function<A,
    * B>`, convertAll could accept and return iterables with nullable element types. In both cases,
@@ -307,7 +296,6 @@ public abstract class Converter<A, B> implements Function<A, B> {
    *
    * <p><b>Note:</b> you should not override this method. It is non-final for legacy reasons.
    */
-  @CanIgnoreReturnValue
   public Converter<B, A> reverse() {
     Converter<B, A> result = reverse;
     return (result == null) ? reverse = new ReverseConverter<>(this) : result;
@@ -459,7 +447,6 @@ public abstract class Converter<A, B> implements Function<A, B> {
    */
   @Deprecated
   @Override
-  @CanIgnoreReturnValue
   /*
    * Even though we implement `Function<A, B>` instead of `Function<@Nullable A, @Nullable B>` (as
    * discussed in a code comment at the top of the class), we declare our override of Function.apply
diff --git a/android/guava/src/com/google/common/base/Defaults.java b/android/guava/src/com/google/common/base/Defaults.java
index 5d12343..c5a9f97 100644
--- a/android/guava/src/com/google/common/base/Defaults.java
+++ b/android/guava/src/com/google/common/base/Defaults.java
@@ -16,7 +16,6 @@ package com.google.common.base;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.GwtIncompatible;
 import javax.annotation.CheckForNull;
 
 /**
@@ -25,7 +24,6 @@ import javax.annotation.CheckForNull;
  * @author Ben Yu
  * @since 1.0
  */
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 public final class Defaults {
   private Defaults() {}
diff --git a/android/guava/src/com/google/common/base/ElementTypesAreNonnullByDefault.java b/android/guava/src/com/google/common/base/ElementTypesAreNonnullByDefault.java
index 890e3a3..f5595b7 100644
--- a/android/guava/src/com/google/common/base/ElementTypesAreNonnullByDefault.java
+++ b/android/guava/src/com/google/common/base/ElementTypesAreNonnullByDefault.java
@@ -22,7 +22,6 @@ import static java.lang.annotation.ElementType.PARAMETER;
 import static java.lang.annotation.ElementType.TYPE;
 import static java.lang.annotation.RetentionPolicy.RUNTIME;
 
-import com.google.common.annotations.GwtCompatible;
 import java.lang.annotation.Retention;
 import java.lang.annotation.Target;
 import javax.annotation.Nonnull;
@@ -33,7 +32,6 @@ import javax.annotation.meta.TypeQualifierDefault;
  * unfortunately includes type-variable usages, so we also provide {@link ParametricNullness} to
  * "undo" it as best we can.
  */
-@GwtCompatible
 @Retention(RUNTIME)
 @Target(TYPE)
 @TypeQualifierDefault({FIELD, METHOD, PARAMETER})
diff --git a/android/guava/src/com/google/common/base/Enums.java b/android/guava/src/com/google/common/base/Enums.java
index 449b7e3..06969ed 100644
--- a/android/guava/src/com/google/common/base/Enums.java
+++ b/android/guava/src/com/google/common/base/Enums.java
@@ -16,15 +16,11 @@ package com.google.common.base;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import java.io.Serializable;
-import java.lang.ref.WeakReference;
 import java.lang.reflect.Field;
 import java.util.EnumSet;
 import java.util.HashMap;
 import java.util.Map;
-import java.util.WeakHashMap;
 import javax.annotation.CheckForNull;
 
 /**
@@ -33,7 +29,6 @@ import javax.annotation.CheckForNull;
  * @author Steve McKay
  * @since 9.0
  */
-@GwtCompatible(emulated = true)
 @ElementTypesAreNonnullByDefault
 public final class Enums {
 
@@ -46,7 +41,7 @@ public final class Enums {
    *
    * @since 12.0
    */
-  @GwtIncompatible // reflection
+  // reflection
   public static Field getField(Enum<?> enumValue) {
     Class<?> clazz = enumValue.getDeclaringClass();
     try {
@@ -70,11 +65,11 @@ public final class Enums {
     return Platform.getEnumIfPresent(enumClass, value);
   }
 
-  @GwtIncompatible // java.lang.ref.WeakReference
+  // java.lang.ref.WeakReference
   private static final Map<Class<? extends Enum<?>>, Map<String, WeakReference<? extends Enum<?>>>>
       enumConstantCache = new WeakHashMap<>();
 
-  @GwtIncompatible // java.lang.ref.WeakReference
+  // java.lang.ref.WeakReference
   private static <T extends Enum<T>> Map<String, WeakReference<? extends Enum<?>>> populateCache(
       Class<T> enumClass) {
     Map<String, WeakReference<? extends Enum<?>>> result = new HashMap<>();
@@ -85,7 +80,7 @@ public final class Enums {
     return result;
   }
 
-  @GwtIncompatible // java.lang.ref.WeakReference
+  // java.lang.ref.WeakReference
   static <T extends Enum<T>> Map<String, WeakReference<? extends Enum<?>>> getEnumConstants(
       Class<T> enumClass) {
     synchronized (enumConstantCache) {
